#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	libxslt

Distribution:	CCux
Packager: 	Christian Metzen <metzench@ccux-linux.de>

Summary:	Library providing XSLT support.
Name:		%{original_name}
Version:	1.1.26
Release:	4
License:	GNU/GPL
URL:		http://xmlsoft.org/XSLT
Group:		System/Libraries
Source0:	libxslt-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

Requires:	python%{PVER}

BuildRequires:	python%{PVER}-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxml2-python%{PVER}
BuildRequires:	glibc-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	zlib-devel

Provides:	libxslt = %{version}-%{release}
Obsoletes:	libxslt <= %{version}-%{release}

%description
This C library lets you transform XML files into other XML files (or
HTML, text, etc.) using the standard XSLT stylesheet transformation
mechanism.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxml2-devel
Provides:	libxslt-devel = %{version}-%{release}
Obsoletes:	libxslt-devel <= %{version}-%{release}

%description	devel
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= %{version}
installed.

%package	python
Summary:	Python bindings for the libxslt library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	python%{PVER}
Provides:	%{name}-python%{PVER}
Obsoletes:	libxslt-python25

%description	python
The libxslt-python package contains a module that permits applications
written in the Python programming language.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
%configure \
--with-python=%_bindir/%{__python}
make %{?_smp_mflags}
gzip -9 ChangeLog

%install
rm -Rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/xsltproc
%_libdir/*.so.*
%_libdir/xsltConf.sh
%_libdir/libxslt-plugins
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_bindir/xslt-config
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig
%_aclocal
%_datadir/doc

%files python
%defattr(-, root, root)
%{python_sitelib}/libxslt.py
%{python_sitelib}/libxsltmod.a
%{python_sitelib}/libxsltmod.la
%{python_sitelib}/libxsltmod.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.26-4
- rebuilt
* Tue Jul 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.26-3
- rebuilt against libxml2 2.7.7 and zlib 1.2.5
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.26-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.26-1
- Version update, build against python25-2.5.4-3
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 1.1.24-2
- added patch
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 1.1.24-1
- Version update
* Thu Aug 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.22-1
- Version update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.17-2
- rebuilt against python 2.5
* Mon Jul 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.17-1
- Version update
* Sun Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.16-1
- Version update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.15-2
- Added BuildRequires
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 1.1.15-1
- Update to Version 1.1.15, added doc package
* Wed Jul 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.14-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.1.14-1
- Version Update to 1.1.14
* Mon Feb 07 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.12-1
- Version Update to 1.1.12
